"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Calculations = exports.HEIGHT_UNITS = exports.WEIGHT_UNITS = exports.DISTANCE_UNITS = void 0;
exports.DISTANCE_UNITS = {
    MI: "mi",
    KM: "km"
};
exports.WEIGHT_UNITS = {
    LB: "lbs",
    KG: "kg"
};
exports.HEIGHT_UNITS = {
    INCHES: "in",
    MM: "mm"
};
class Calculations {
    static round2(num) {
        return Math.round((num + Number.EPSILON) * 100) / 100;
    }
    static m2mi(num) {
        return num / 1609.344498;
    }
    static m2km(num) {
        return num / 1000;
    }
    static km2mi(num) {
        return num / 1.609344498;
    }
    static mi2km(num) {
        return num * 1.609344498;
    }
    static kg2lb(num) {
        return num * 2.20462;
    }
    static lb2kg(num) {
        return num / 2.20462;
    }
    static mm2in(num) {
        return num / 25.4;
    }
    static in2mm(num) {
        return num * 25.4;
    }
    static convertHeight(value, targetunit, priorunit) {
        if (priorunit) {
            if (priorunit == exports.HEIGHT_UNITS.MM && targetunit == exports.HEIGHT_UNITS.INCHES) {
                return Calculations.mm2in(value);
            }
            else if (priorunit == exports.HEIGHT_UNITS.INCHES && targetunit == exports.HEIGHT_UNITS.MM) {
                return Calculations.in2mm(value);
            }
            return value;
        }
        else {
            //toggles the value
            return targetunit == exports.HEIGHT_UNITS.MM ? Calculations.in2mm(value) : Calculations.mm2in(value);
        }
    }
    static convertWeight(value, targetunit, priorunit) {
        if (priorunit) {
            if (priorunit == exports.WEIGHT_UNITS.KG && targetunit == exports.WEIGHT_UNITS.LB) {
                return Calculations.kg2lb(value);
            }
            else if (priorunit == exports.WEIGHT_UNITS.LB && targetunit == exports.WEIGHT_UNITS.KG) {
                return Calculations.lb2kg(value);
            }
            return value;
        }
        else {
            //toggles the value
            return targetunit == exports.WEIGHT_UNITS.KG ? Calculations.lb2kg(value) : Calculations.kg2lb(value);
        }
    }
    static convertDistance(value, targetunit, priorunit) {
        if (priorunit) {
            if (priorunit == exports.DISTANCE_UNITS.KM && targetunit == exports.DISTANCE_UNITS.MI) {
                return Calculations.km2mi(value);
            }
            else if (priorunit == exports.DISTANCE_UNITS.MI && targetunit == exports.DISTANCE_UNITS.KM) {
                return Calculations.mi2km(value);
            }
            return value;
        }
        else {
            //toggles the value
            return targetunit == exports.DISTANCE_UNITS.KM ? Calculations.mi2km(value) : Calculations.km2mi(value);
        }
    }
}
exports.Calculations = Calculations;
//# sourceMappingURL=calculations.js.map