"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BOOKING_ALLOWED_ACTIONS = void 0;
exports.BOOKING_ALLOWED_ACTIONS = {
    "ACTIONS": {
        "CARER": [
            "NEW",
            "COMMENT",
            "REVIEW",
            "CANCEL",
            "EDIT",
            "ADD_LEG",
            "RESUBMIT",
            "RATE",
            "CREATELIKE",
        ],
        "DISPATCH": [
            "ACCEPT",
            "COMMENT",
            "DECLINE",
            "REVIEW",
            "COMPLETE",
            "UA2S",
            "UA2C",
            "EDIT",
            "CREATELIKE",
        ]
    },
    "SINGLE": {
        "ACTIVE": {
            "CARER": {
                "ACTIONS": [
                    "REVIEW",
                    "CANCEL",
                    "COMMENT"
                ]
            },
            "DISPATCH": {
                "ACTIONS": [
                    "REVIEW",
                    "ACCEPT",
                    "DECLINE",
                ]
            }
        },
        "OFFERED": {
            "CARER": {
                "ACTIONS": [
                    "REVIEW",
                    "CANCEL",
                    "ADD_LEG",
                    "COMMENT"
                ]
            },
            "DISPATCH": {
                "ACTIONS": [
                    "REVIEW",
                    "ACCEPT",
                    "DECLINE",
                    "COMMENT"
                ]
            }
        },
        "UNFULFILLED": {
            "CARER": {
                "ACTIONS": [
                    "REVIEW",
                    "CANCEL",
                    "RESUBMIT",
                    "COMMENT"
                ]
            }
        },
        "API_FAILED": {
            "CARER": {
                "ACTIONS": [
                    "REVIEW",
                    "CANCEL",
                    "RESUBMIT",
                    "COMMENT"
                ]
            }
        },
        "EXPIRED": {
            "CARER": {
                "ACTIONS": [
                    "REVIEW",
                    "CANCEL",
                    "RESUBMIT",
                    "COMMENT"
                ]
            }
        },
        "ACCEPTING": {
            "CARER": {
                "ACTIONS": [
                    "REVIEW",
                    "CANCEL",
                    "ADD_LEG",
                    "COMMENT"
                ]
            },
            "DISPATCH": {
                "ACTIONS": [
                    "MANUAL_ACCEPT",
                    "REVIEW",
                    "COMMENT"
                ]
            }
        },
        "ACCEPTED": {
            "CARER": {
                "ACTIONS": [
                    "REVIEW",
                    "CANCEL",
                    "ADD_LEG",
                    "COMMENT"
                ]
            },
            "DISPATCH": {
                "ACTIONS": [
                    "REVIEW",
                    "COMPLETE",
                    "UA2S",
                    "UA2C",
                    "COMMENT"
                ]
            }
        },
        "CONFLICT": {
            "CARER": {
                "ACTIONS": [
                    "REVIEW",
                    "CANCEL",
                    "COMMENT"
                ]
            },
            "DISPATCH": {
                "ACTIONS": [
                    "REVIEW",
                    "ACCEPT",
                    "DECLINE",
                    "COMMENT"
                ]
            }
        },
        "COMPLETED": {
            "CARER": {
                "ACTIONS": [
                    "REVIEW",
                    "RATE",
                    "COMMENT"
                ]
            },
            "DISPATCH": {
                "ACTIONS": [
                    "REVIEW",
                    "COMMENT"
                ]
            }
        },
        "CANCELLED": {
            "CARER": {
                "ACTIONS": [
                    "REVIEW",
                    "COMMENT"
                ]
            },
            "DISPATCH": {
                "ACTIONS": [
                    "REVIEW"
                ]
            }
        }
    },
    "ROUND": {
        "ACTIVE": {
            "CARER": {
                "ACTIONS": [
                    "REVIEW",
                    "CANCEL",
                    "COMMENT",
                    "CREATELIKE"
                ]
            },
            "DISPATCH": {
                "ACTIONS": [
                    "REVIEW",
                    "ACCEPT",
                    "DECLINE",
                ]
            }
        },
        "OFFERED": {
            "CARER": {
                "ACTIONS": [
                    "REVIEW",
                    "CREATELIKE",
                    "CANCEL",
                    "ADD_LEG",
                    "COMMENT"
                ]
            },
            "DISPATCH": {
                "ACTIONS": [
                    "REVIEW",
                    "ACCEPT",
                    "DECLINE",
                    "COMMENT"
                ]
            }
        },
        "UNFULFILLED": {
            "CARER": {
                "ACTIONS": [
                    "REVIEW",
                    "CANCEL",
                    "RESUBMIT",
                    "COMMENT"
                ]
            }
        },
        "API_FAILED": {
            "CARER": {
                "ACTIONS": [
                    "REVIEW",
                    "CANCEL",
                    "RESUBMIT",
                    "COMMENT"
                ]
            }
        },
        "EXPIRED": {
            "CARER": {
                "ACTIONS": [
                    "REVIEW",
                    "CANCEL",
                    "RESUBMIT",
                    "COMMENT"
                ]
            }
        },
        "ACCEPTING": {
            "CARER": {
                "ACTIONS": [
                    "REVIEW",
                    "CANCEL",
                    "ADD_LEG",
                    "COMMENT"
                ]
            },
            "DISPATCH": {
                "ACTIONS": [
                    "MANUAL_ACCEPT",
                    "REVIEW",
                    "COMMENT"
                ]
            }
        },
        "ACCEPTED": {
            "CARER": {
                "ACTIONS": [
                    "REVIEW",
                    "CANCEL",
                    "ADD_LEG",
                    "COMMENT"
                ]
            },
            "DISPATCH": {
                "ACTIONS": [
                    "REVIEW",
                    "UA2S",
                    "COMMENT"
                ]
            }
        },
        "COMPLETED": {
            "CARER": {
                "ACTIONS": [
                    "REVIEW",
                    "COMMENT"
                ]
            },
            "DISPATCH": {
                "ACTIONS": [
                    "REVIEW",
                    "COMMENT"
                ]
            }
        },
        "CANCELLED": {
            "CARER": {
                "ACTIONS": [
                    "REVIEW",
                    "COMMENT"
                ]
            },
            "DISPATCH": {
                "ACTIONS": [
                    "REVIEW"
                ]
            }
        }
    }
};
//# sourceMappingURL=booking_allowed_actions.js.map