"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LEG_ALLOWED_ACTIONS = void 0;
exports.LEG_ALLOWED_ACTIONS = {
    "A": {
        "OFFERED": {
            "CARER": {
                "ACTIONS": [
                    "REVIEW",
                    "EDIT",
                    "CANCEL"
                ]
            },
            "DISPATCH": {
                "ACTIONS": []
            }
        },
        "UNFULFILLED": {
            "CARER": {
                "ACTIONS": [
                    "REVIEW",
                    "CANCEL",
                    "RESUBMIT"
                ]
            }
        },
        "FAILED": {
            "CARER": {
                "ACTIONS": [
                    "REVIEW",
                    "CANCEL",
                    "RESUBMIT"
                ]
            }
        },
        "EXPIRED": {
            "CARER": {
                "ACTIONS": [
                    "REVIEW",
                    "CANCEL",
                    "RESUBMIT"
                ]
            }
        },
        "ACCEPTING": {
            "CARER": {
                "ACTIONS": [
                    "REVIEW",
                    "CANCEL",
                    "EDIT"
                ]
            },
            "DISPATCH": {
                "ACTIONS": [
                    "MANUAL_ACCEPT",
                    "REVIEW"
                ]
            }
        },
        "ACCEPTED": {
            "CARER": {
                "ACTIONS": [
                    "REVIEW",
                    "CANCEL",
                    "EDIT"
                ]
            },
            "DISPATCH": {
                "ACTIONS": [
                    "REVIEW",
                    "COMPLETE",
                    "UA2C",
                    "UA2S",
                    "EDIT"
                ]
            }
        },
        "CONFLICT": {
            "CARER": {
                "ACTIONS": [
                    "REVIEW",
                    "CANCEL",
                    "EDIT"
                ]
            },
            "DISPATCH": {
                "ACTIONS": [
                    "REVIEW",
                    "ACCEPT",
                    "DECLINE"
                ]
            }
        },
        "COMPLETED": {
            "CARER": {
                "ACTIONS": [
                    "REVIEW"
                ]
            },
            "DISPATCH": {
                "ACTIONS": [
                    "REVIEW"
                ]
            }
        },
        "CANCELLED": {
            "CARER": {
                "ACTIONS": [
                    "REVIEW"
                ]
            },
            "DISPATCH": {
                "ACTIONS": [
                    "REVIEW"
                ]
            }
        }
    },
    "OTHER": {
        "OFFERED": {
            "CARER": {
                "ACTIONS": [
                    "REVIEW",
                    "CANCEL",
                    "EDIT"
                ]
            },
            "DISPATCH": {
                "ACTIONS": []
            }
        },
        "UNFULFILLED": {
            "CARER": {
                "ACTIONS": [
                    "REVIEW",
                    "CANCEL"
                ]
            }
        },
        "FAILED": {
            "CARER": {
                "ACTIONS": [
                    "REVIEW",
                    "CANCEL"
                ]
            }
        },
        "EXPIRED": {
            "CARER": {
                "ACTIONS": [
                    "REVIEW",
                    "CANCEL"
                ]
            }
        },
        "ACCEPTING": {
            "CARER": {
                "ACTIONS": [
                    "REVIEW",
                    "CANCEL",
                    "EDIT"
                ]
            },
            "DISPATCH": {
                "ACTIONS": [
                    "MANUAL_ACCEPT",
                    "REVIEW"
                ]
            }
        },
        "ACCEPTED": {
            "CARER": {
                "ACTIONS": [
                    "REVIEW",
                    "CANCEL",
                    "EDIT"
                ]
            },
            "DISPATCH": {
                "ACTIONS": [
                    "REVIEW",
                    "COMPLETE",
                    "UA2S",
                    "UA2C",
                    "EDIT"
                ]
            }
        },
        "CONFLICT": {
            "CARER": {
                "ACTIONS": [
                    "REVIEW",
                    "CANCEL",
                    "EDIT"
                ]
            },
            "DISPATCH": {
                "ACTIONS": [
                    "REVIEW",
                    "ACCEPT",
                    "DECLINE"
                ]
            }
        },
        "COMPLETED": {
            "CARER": {
                "ACTIONS": [
                    "REVIEW"
                ]
            },
            "DISPATCH": {
                "ACTIONS": [
                    "REVIEW"
                ]
            }
        },
        "CANCELLED": {
            "CARER": {
                "ACTIONS": [
                    "REVIEW"
                ]
            },
            "DISPATCH": {
                "ACTIONS": [
                    "REVIEW"
                ]
            }
        }
    }
};
//# sourceMappingURL=leg_allowed_actions.js.map