export declare const NOTIFICATION_EVENTS: {
    ACCEPT: string;
    ADD_TRIP: string;
    API_FAIL: string;
    RESUBMIT: string;
    CANCEL: string;
    COMPLETE: string;
    DECLINE: string;
    EDIT: string;
    ESCALATE: string;
    OFFER: string;
    PUBLISH: string;
    RATE: string;
    UNABLE_TO_COMPLETE: string;
    UNABLE_TO_SERVICE: string;
    REVIEW: string;
    COMMENT: string;
};
export declare const NOTIFICATION_EVENT_UX: {
    ACCEPT: {
        title: string;
        tooltip: string;
    };
    CANCEL: {
        tooltip: string;
    };
    COMPLETE: {
        tooltip: string;
    };
    DECLINE: {
        tooltip: string;
    };
    EDIT: {
        tooltip: string;
        allStatus: boolean;
        log_status: {
            CONFLICT: {
                label: string;
                tooltip: string;
            };
        };
    };
    ESCALATE: {
        title: string;
        tooltip: string;
        allStatus: boolean;
        log_status: {
            UNFULFILLED: {
                title: string;
                tooltip: string;
            };
        };
    };
    EXPIRE: {
        tooltip: string;
    };
    OFFER: {
        tooltip: string;
    };
    PUBLISH: {
        title: string;
        tooltip: string;
    };
    RESUBMIT: {
        title: string;
        tooltip: string;
        icon: string;
        color: string;
        outlined: boolean;
        dark: boolean;
    };
    RATE: {
        title: string;
        tooltip: string;
        label: string;
    };
    UNABLE_TO_COMPLETE: {
        title: string;
        icon: string;
        tooltip: string;
    };
    UNABLE_TO_SERVICE: {
        title: string;
        icon: string;
        tooltip: string;
    };
    REVIEW: {
        title: string;
        label: string;
    };
    COMMENT: {
        label: string;
        color: string;
        outlined: boolean;
        dark: boolean;
        tooltip: string;
    };
    API_FAIL: {
        title: string;
        tooltip: string;
        icon: string;
    };
};
