"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NOTIFICATION_EVENT_UX = exports.NOTIFICATION_EVENTS = void 0;
exports.NOTIFICATION_EVENTS = {
    ACCEPT: "ACCEPT",
    ADD_TRIP: "ADD_TRIP",
    API_FAIL: "API_FAIL",
    RESUBMIT: "RESUBMIT",
    CANCEL: "CANCEL",
    COMPLETE: "COMPLETE",
    DECLINE: "DECLINE",
    EDIT: "EDIT",
    ESCALATE: "ESCALATE",
    OFFER: "OFFER",
    PUBLISH: "PUBLISH",
    RATE: "RATE",
    UNABLE_TO_COMPLETE: "UNABLE_TO_COMPLETE",
    UNABLE_TO_SERVICE: "UNABLE_TO_SERVICE",
    REVIEW: "REVIEW",
    COMMENT: "COMMENT"
};
exports.NOTIFICATION_EVENT_UX = {
    ACCEPT: { title: "ACCEPTING", tooltip: "Booking approved and sent to dispatch API.", },
    CANCEL: { tooltip: "Cancelled" },
    COMPLETE: { tooltip: "Completed by provider" },
    DECLINE: { tooltip: "Declined by provider" },
    EDIT: {
        tooltip: "Item Modified",
        allStatus: true,
        log_status: { CONFLICT: { label: "Conflict", tooltip: "Update to accepted booking conflicts with vendor job type" } }
    },
    ESCALATE: {
        title: "Escalated", tooltip: "escalated", allStatus: false,
        log_status: { UNFULFILLED: { title: "UNFULFILLED", tooltip: "No matching market strategy for trip", } }
    },
    EXPIRE: { tooltip: "No matching market strategy for trip" },
    OFFER: { tooltip: "New standard offer", },
    PUBLISH: { title: 'ACCEPTED', tooltip: "Booking accepted by provider and provider API." },
    RESUBMIT: { title: "VIP OFFER", tooltip: "Exclusive direct offer", icon: "mdi-medal-outline", color: "yellow", outlined: false, dark: false },
    RATE: { title: "RATE", tooltip: "Trip has veen given a rating", label: "rated", },
    UNABLE_TO_COMPLETE: { title: "UA2C", icon: "mdi-cancel", tooltip: "Provider is unable to complete trip", },
    UNABLE_TO_SERVICE: { title: "UA2S", icon: "mdi-bus-alert", tooltip: "Provider is unable to service trip", },
    REVIEW: { title: "REVIEW", label: "Trip has been reviewed" },
    COMMENT: { label: "New comment added to trip", color: "primary", outlined: true, dark: false, tooltip: "" },
    API_FAIL: { title: "API", tooltip: "Error in plushing trip to dispath API", icon: "mdi-warning" }
};
//# sourceMappingURL=notification_events.js.map