"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.instance = exports.Helper = void 0;
class Helper {
    static instance() {
        return exports.instance;
    }
    getRandomInt(min, max) {
        min = Math.ceil(min);
        max = Math.floor(max);
        return Math.floor(Math.random() * (max - min + 1)) + min;
    }
    diffArray(a1, a2) {
        let res = [];
        if (a1 && Array.isArray(a1)) {
            a1.forEach(e => {
                if (a2 && Array.isArray(a2)) {
                    if (!a2.includes(e)) {
                        res.push(e);
                    }
                }
                else {
                    res.push(e);
                }
            });
        }
        return res;
    }
    copyArray(a1, a2) {
        a1.splice(0, a1.length);
        a2.forEach(item => {
            a1.push(item);
        });
    }
    ;
    getItemsForIDs(list, ids) {
        return this.getArrayItems(list, "id", ids);
    }
    getArrayItems(list, property, ids) {
        let res = [];
        for (let i = 0; i <= list.length - 1; i++) {
            let item = list[i];
            if (typeof ids[0] === 'object') {
                ids.forEach((element) => {
                    if (element[property] == item[property]) {
                        res.push(item);
                    }
                });
            }
            else {
                if (ids.includes(item[property])) {
                    res.push(item);
                }
            }
        }
        return res;
    }
    getItemByID(list, id) {
        return this.getArrayItem(list, "id", id);
    }
    getArrayItemByID(list, id) {
        return this.getArrayItem(list, "id", id);
    }
    getArrayItem(list, property, value) {
        let res = null;
        if (list && value) {
            for (let i = 0; i <= list.length - 1; i++) {
                let item = list[i];
                if (item[property] == value) {
                    res = item;
                    break;
                }
            }
        }
        return res;
    }
    updateArrayFromArray(source, list, id, properties) {
        return source.map((column) => {
            let newCol = this.getArrayItem(list, id, column[id]);
            if (newCol) {
                properties.forEach(prop => {
                    column[prop.key] = (prop.key in newCol) ? newCol[prop.key] : prop.default;
                });
            }
            return column;
        });
    }
    ObjectClone(target, source) {
        if (Array.isArray(source)) {
            throw new Error('source is an array. must be an object');
        }
        Object.keys(source).forEach(key => {
            const s_val = source[key];
            const t_val = target[key];
            if (Array.isArray(s_val)) {
                target[key] = [];
                s_val.forEach(e => {
                    let o = (typeof e == 'object') ? this.ObjectClone({}, e) : e;
                    target[key].push(o);
                });
            }
            else {
                target[key] = t_val && s_val && typeof t_val === 'object' && typeof s_val === 'object'
                    ? this.ObjectClone(t_val, s_val)
                    : s_val;
            }
        });
        if (typeof target.from == 'function') {
            target.from(source);
        }
        //Ensure old schema objects have new structures
        if (typeof target.upgrade == 'function') {
            target.upgrade();
        }
        return target;
    }
}
exports.Helper = Helper;
exports.instance = new Helper();
//# sourceMappingURL=helper.js.map