"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FacilityHelper = void 0;
const facility_1 = require("../model/facility");
const utility_1 = require("../utility");
const lov_1 = require("../helpers/lov");
class FacilityHelper {
    static async create(api, type, name, quickcode, contact, address) {
        return new Promise(async (resolve, reject) => {
            let lovs = await lov_1.LovHelper.facilityTypesAlias({ lov_alias_reference: type });
            //IF LOV not found then use unknown facility
            if (lovs.length == 0) {
                lovs = await lov_1.LovHelper.facilityTypesAlias({ lov_alias_reference: '999' });
            }
            if (lovs.length > 0) {
                let lov = lovs[0];
                let p = new facility_1.Facility();
                p.facility_type_lov_id = lov.lov_alias_id;
                p.company_id = api.activeCompanyID;
                p.name = name;
                p.properties.quick_code = quickcode;
                p.properties.primary = contact;
                let addrFrom = await utility_1.HEREApi.search("20", address);
                p.properties.address.initFromAddressRec(addrFrom.suggestions[0]);
                if (p.company_id > 0) {
                    let res = await facility_1.facilityservice.upsert(p);
                    resolve(res);
                }
                else {
                    reject("Error: Invalid active company id " + p.company_id);
                }
            }
            else {
                reject("Error: facility alias type not found " + type);
            }
        });
    }
}
exports.FacilityHelper = FacilityHelper;
//# sourceMappingURL=facility.js.map