import { Api } from "../api";
import { Company } from "../model/company";
import { InternalUser } from "../model/internal_user";
declare class RolesStates {
    acc_admin: any;
    company_admin: any;
    company_config_manager: any;
    dispatch: any;
    manage_patient: any;
    manage_booking: any;
    get canManageConfig(): boolean;
    get canManageAccounts(): boolean;
    get canManagePatients(): boolean;
    get canManageBookings(): boolean;
}
declare class MenuStates {
    roles: RolesStates;
    company: any;
    constructor(roles: RolesStates, company: any);
    get users(): boolean;
    get markets(): boolean;
    get marketRules(): boolean;
    get bookings(): boolean;
}
export declare class IdentityHelper {
    static instance(): IdentityHelper;
    api: Api;
    private helper;
    private dbRoles;
    menus: MenuStates;
    roles: RolesStates;
    user: InternalUser | null;
    constructor();
    roleCheck(role: string): boolean;
    refreshStates(): void;
    get roleSummary(): string[];
    get grantedRoles(): any;
    set grantedRoles(roles: any);
    addRolesIfNotExist(identity_id: number, roles: [], targets?: any): Promise<any>;
    refreshIdentityDetails(company?: any): Promise<any>;
    createAPILogin(user: InternalUser, company?: Company): Promise<any>;
    createAppLogin(user: InternalUser, company?: Company): Promise<any>;
    getCompanyProvider(company: Company, uriType: string): Promise<any>;
    createCompanyLogin(user: InternalUser, company: Company, uriType: string): Promise<any>;
    companyLoginFind(name: string, company: Company, uriType: string): Promise<any>;
    companyLoginReadAll(company: Company, uriType: string): Promise<any>;
    loginsByIdentity(provider_id: Number, identity_id: Number): Promise<any>;
    loginsReadAll(provider_id: Number): Promise<any>;
    grantRoleByName(identityID: Number, roleName: string, facilityTargets?: any): Promise<any>;
    grantRoleById(identityID: Number, roleID: Number, facilityTargets?: any): Promise<any>;
    revokeRoleById(identityID: Number, roleID: Number): Promise<any>;
    identityGrantedRoles(identity_id: number): Promise<any>;
    allRoles(): Promise<any>;
    sendUserActivationEmailNotification(host: string, user: InternalUser, message?: string): Promise<any>;
    users(company_provider_uri: string): Promise<any>;
}
export declare const instance: IdentityHelper;
export {};
