import { Itinerary } from "../model/itinerary";
import { Completion } from "../model/nested/completion";
import { LegBase } from "./legbase";
import { Pagination } from "../utility";
export declare class ItineraryHelper extends LegBase {
    constructor();
    setDispatchVariables(itinerary: Itinerary): Promise<unknown>;
    isFailed(item: any): boolean;
    isExpired(item: any): boolean;
    isUnfulfilled(item: any): boolean;
    isCancelled(item: any): boolean;
    isCompleted(item: any): boolean;
    isFinalState(item: any): boolean;
    isOffered(item: any): boolean;
    isAccepted(item: any): boolean;
    isAccepting(item: any): boolean;
    isVipOffer(item: any): boolean;
    canAddLeg(item: any): boolean;
    canResubmit(item: any): boolean;
    canAccept(item: any): boolean;
    canDecline(item: any): boolean;
    canCancel(item: any): boolean;
    canRate(item: any): boolean;
    canComplete(item: any): boolean;
    canCreateLike(item: any): boolean;
    needsReview(leg: any): boolean;
    canDoIt(type: string, status: string, isTransportProvider: boolean, action: string): boolean;
    canUnableToService(item: any): boolean;
    canUnableToComplete(item: any): boolean;
    canReview(item: any): boolean;
    canEdit(item: any): boolean;
    getCompletion(booking: any): Completion;
    canPerformAction(bookingType: string, status: string, type: string, action: string): any;
    allowedActionsByOperation(providerType: string): any;
    performAction(item: any, action: string, actionDisplay: string, payload: any, showReason: boolean, reason?: string): Promise<any>;
    addTrip(item: any, trip_id: number, trip: any): Promise<any>;
    resubmit(item: any, offer_to: number[], exclusive: boolean): Promise<any>;
    cancel(item: Itinerary, reason?: string): Promise<any>;
    accept(item: Itinerary): Promise<any>;
    decline(item: Itinerary, reason?: string): Promise<any>;
    ua2s(item: Itinerary, reason?: string): Promise<any>;
    ua2c(item: Itinerary): Promise<any>;
    complete(item: Itinerary, completion: Completion): Promise<any>;
    addComment(item: any, comment: string): Promise<any>;
    reviewed(payload: any): Promise<any>;
    hasPendingReview(properties: any): boolean;
    maybeReview(item: any): Promise<any>;
    readAllForTransporter(start: number, limit: number, filters?: any[]): Promise<any>;
    search(start: number, limit: number, filters?: any[]): Promise<any>;
    read(itinerary_id: number, batch_no?: number): Promise<any>;
    readAll(start: number, limit: number, filters?: any[]): Promise<any>;
    allActivityCarer(limit: number, filters?: any): Promise<any>;
    allActivityTransporter(limit: number, filters?: any): Promise<any>;
    allActivity(limit: number, filters?: any): Promise<any>;
    processActivityLogRows(rows: any): any;
    activityLogCarer(itinerary_id: number, filters?: any): Promise<any>;
    activityLogTransporter(itinerary_id: number, filters?: any): Promise<any>;
    activityLog(itinerary_id: number, filters?: any): Promise<any>;
    filterCounts(prefix: string, field: string, pagination: Pagination): Promise<any>;
    statusChip(item: any): any;
}
