"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LovHelper = void 0;
const lov_1 = require("../model/lovs/lov");
const lov_alias_1 = require("../model/lovs/lov_alias");
class LovHelper {
    static callTypes(params) {
        return new Promise((resolve, reject) => {
            lov_1.calltypeservice.readAll(lov_1.CallType.instance(), params).then((data) => {
                resolve(data);
            }).catch(e => {
                reject(e);
            });
        });
    }
    static priorities(params) {
        return new Promise((resolve, reject) => {
            lov_1.callpriorityservice
                .readAll(lov_1.Properties.instance(lov_1.CALL_PRIORITY), params)
                .then((data) => {
                resolve(data);
            }).catch(e => {
                reject(e);
            });
        });
    }
    static variables(params) {
        return new Promise((resolve, reject) => {
            lov_1.losservice
                .readAll(lov_1.Properties.instance(lov_1.LEVEL_OF_SERVICE), params)
                .then((data) => {
                resolve(data);
            }).catch(e => {
                reject(e);
            });
        });
    }
    static facilityTypes(params) {
        return new Promise((resolve, reject) => {
            lov_1.facilitytypeservice
                .readAll(lov_1.Properties.instance(lov_1.FACILITY_TYPE), params)
                .then((data) => {
                resolve(data);
            }).catch(e => {
                reject(e);
            });
            ;
        });
    }
    static callTypesAlias(params) {
        return new Promise((resolve, reject) => {
            lov_alias_1.calltypeservicealias
                .readAll(lov_alias_1.Properties.instance(lov_alias_1.CALL_TYPE_ALIAS), params)
                .then((data) => {
                let rows = data.sort((a, b) => Number(a.rank) < Number(b.rank)
                    ? 1
                    : Number(b.rank) < Number(a.rank)
                        ? -1
                        : 0);
                resolve(rows);
            }).catch(e => {
                reject(e);
            });
            ;
        });
    }
    static prioritiesAlias(params) {
        return new Promise((resolve, reject) => {
            lov_alias_1.callpriorityservicealias
                .readAll(lov_alias_1.Properties.instance(lov_alias_1.CALL_PRIORITY_ALIAS), params)
                .then((data) => {
                resolve(data);
            }).catch(e => {
                reject(e);
            });
            ;
        });
    }
    static variablesAlias(params) {
        return new Promise((resolve, reject) => {
            lov_alias_1.losservicealias
                .readAll(lov_alias_1.Properties.instance(lov_alias_1.LEVEL_OF_SERVICE_ALIAS), params)
                .then((data) => {
                resolve(data);
            }).catch(e => {
                reject(e);
            });
            ;
        });
    }
    static facilityTypesAlias(params) {
        return new Promise((resolve, reject) => {
            lov_alias_1.facilitytypeservicealias
                .readAll(lov_alias_1.Properties.instance(lov_alias_1.FACILITY_TYPE_ALIAS), params)
                .then((data) => {
                resolve(data);
            }).catch(e => {
                reject(e);
            });
            ;
        });
    }
    static addPriorityAlias(company_id, element) {
        return new Promise((resolve, reject) => {
            let item = lov_alias_1.Properties.instance(lov_alias_1.CALL_PRIORITY_ALIAS);
            item.lovId = element.id;
            item.companyId = company_id;
            item.code = element.code;
            item.displayName = element.displayName;
            item.properties.parameter_type = element.properties.parameter_type;
            item.properties.parameter_unit = element.properties.parameter_unit;
            lov_alias_1.callpriorityservicealias
                .create(item)
                .then((r) => {
                resolve(r);
            }).catch(e => {
                reject(e);
            });
        });
    }
    static addCallTypeAlias(company_id, element) {
        return new Promise((resolve, reject) => {
            let item = lov_alias_1.Properties.instance(lov_alias_1.CALL_TYPE_ALIAS);
            item.lovId = element.id;
            item.companyId = company_id;
            item.code = element.code;
            item.displayName = element.displayName;
            lov_alias_1.calltypeservicealias
                .create(item)
                .then((r) => {
                resolve(r);
            }).catch(e => {
                reject(e);
            });
        });
    }
    static addVariableAlias(company_id, element) {
        return new Promise((resolve, reject) => {
            let item = lov_alias_1.Properties.instance(lov_alias_1.LEVEL_OF_SERVICE_ALIAS);
            item.lovId = element.id;
            item.companyId = company_id;
            item.code = element.code;
            item.displayName = element.displayName;
            item.properties.parameter_type = element.properties.parameter_type;
            item.properties.parameter_unit = element.properties.parameter_unit;
            lov_alias_1.losservicealias
                .create(item)
                .then((r) => {
                resolve(r);
            }).catch(e => {
                reject(e);
            });
        });
    }
    static addFacilityTypeAlias(company_id, element) {
        return new Promise((resolve, reject) => {
            let item = lov_alias_1.Properties.instance(lov_alias_1.LEVEL_OF_SERVICE_ALIAS);
            item.lovId = element.id;
            item.companyId = company_id;
            item.code = element.code;
            item.displayName = element.displayName;
            lov_alias_1.facilitytypeservicealias
                .create(item)
                .then((r) => {
                resolve(r);
            }).catch(e => {
                reject(e);
            });
        });
    }
}
exports.LovHelper = LovHelper;
//# sourceMappingURL=lov.js.map