"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MarketRuleHelper = void 0;
const api_1 = require("../api");
const helper_1 = require("../helper");
const market_rule_1 = require("../model/market_rule");
class MarketRuleHelper {
    constructor() {
        this.api = api_1.Api.instance();
        this.helper = helper_1.Helper.instance();
    }
    cleanStrategies(mrule) {
        let strategies = mrule.properties.offer_strategies;
        let invalid = [];
        for (let strat of mrule.properties.offer_strategies) {
            if (!strat.priority_lov_alias_id) {
                invalid.push(strat);
            }
        }
        for (let strat of invalid) {
            let x = strategies.indexOf(strat);
            if (x != -1) {
                strategies.splice(x, 1);
            }
        }
    }
    updateStrategyTimes(mrule, items) {
        let strategies = mrule.properties.offer_strategies;
        for (let priority of items) {
            let item = this.helper.getArrayItem(strategies, "priority_lov_alias_id", priority.id);
            if (item) {
                item.time_to_pu = priority.parameter_amount;
            }
        }
    }
    deleteStrategy(mrule, aliasLov) {
        let strategies = mrule.properties.offer_strategies;
        let item = this.helper.getArrayItem(strategies, "priority_lov_alias_id", aliasLov.lov_alias_id);
        let x = strategies.indexOf(item);
        if (x != -1) {
            strategies.splice(x, 1);
        }
    }
    newStrategy(mrule, aliasLov) {
        let mrs = new market_rule_1.MarketRuleStrategy();
        mrs.priority_lov_alias_id = aliasLov.lov_alias_id;
        mrs.priority_lov_alias_lov_id = aliasLov.lov_alias_lov_id;
        mrs.lov_alias_reference = aliasLov.lov_alias_reference;
        mrule.properties.offer_strategies.push(mrs);
    }
    sortStrategies(mrule) {
        //data.properties.offer_strategies
        mrule.properties.offer_strategies.sort((a, b) => Number(a.time_to_pu) < Number(b.time_to_pu)
            ? 1
            : Number(b.time_to_pu) < Number(a.time_to_pu)
                ? -1
                : 0);
    }
}
exports.MarketRuleHelper = MarketRuleHelper;
//# sourceMappingURL=market-rule.js.map