"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MarketHelper = void 0;
const api_1 = require("../api");
const helper_1 = require("../helper");
const market_1 = require("../model/market");
class MarketHelper {
    constructor() {
        this.api = api_1.Api.instance();
        this.helper = helper_1.Helper.instance();
    }
    getMarketList() {
        let markets = [];
        return market_1.marketservice
            .readAll(new market_1.Market())
            .then((data) => {
            data.forEach((item) => {
                markets.push(item);
            });
            this.api.query("markets.joined", []).then((res) => {
                res.forEach((item) => {
                    markets.push(this.helper.ObjectClone(new market_1.Market(), item));
                });
                return markets;
            });
        });
    }
}
exports.MarketHelper = MarketHelper;
//# sourceMappingURL=market.js.map