"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MarketRuleHelper = void 0;
const api_1 = require("../api");
const helper_1 = require("../helper");
class MarketRuleHelper {
    constructor() {
        this.api = api_1.Api.instance();
        this.helper = helper_1.Helper.instance();
    }
    cleanStrategies(mrule) {
        let strategies = mrule.properties.offer_strategies;
        let invalid = [];
        for (let strat of mrule.properties.offer_strategies) {
            if (!strat.priority_lov_alias_id) {
                invalid.push(strat);
            }
        }
        for (let strat of invalid) {
            let x = strategies.indexOf(strat);
            if (x != -1) {
                strategies.splice(x, 1);
            }
        }
    }
    deleteStrategy(mrule, aliasLov) {
        let strategies = mrule.properties.offer_strategies;
        let item = this.helper.getArrayItem(strategies, "priority_lov_alias_id", aliasLov.lov_alias_id);
        let x = strategies.indexOf(item);
        if (x != -1) {
            strategies.splice(x, 1);
        }
    }
    newStrategy(mrule, aliasLov) {
        this.api.log("MRULEHELPER.newStrategy", aliasLov);
        let def = {
            priority_lov_alias_id: aliasLov.lov_alias_id,
            priority_lov_alias_lov_id: aliasLov.lov_alias_lov_id,
            lov_alias_reference: aliasLov.lov_alias_reference,
            time_to_pu: "",
            strategy: [],
            limited_offer_time: "5",
            escalate_on_time_to_pu: "",
            allow_upgrade: false,
        };
        mrule.properties.offer_strategies.push(def);
    }
}
exports.MarketRuleHelper = MarketRuleHelper;
//# sourceMappingURL=market_rule.js.map