"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UXHelper = void 0;
const notification_events_1 = require("../const/notification_events");
const trip_status_1 = require("../const/trip_status");
const helper_1 = require("../helper");
class UXHelper {
    static statusUX(status) {
        let res = trip_status_1.TRIP_STATUS_UX[status];
        return res ? res : { color: "", outlined: true, dark: false, tooltip: "" };
    }
    static statusColor(status) {
        let ux = trip_status_1.TRIP_STATUS_UX[status];
        return (ux && ux.color) ? ux.color : "";
    }
    static statusOutline(status) {
        let ux = trip_status_1.TRIP_STATUS_UX[status];
        return (ux && ux.outlined) ? ux.outlined : false;
    }
    static statusDark(status) {
        let ux = trip_status_1.TRIP_STATUS_UX[status];
        return (ux && ux.dark) ? ux.dark : false;
    }
    static getEventUX(item) {
        let helper = helper_1.Helper.instance();
        let ux = notification_events_1.NOTIFICATION_EVENT_UX[item.event];
        ux = ux ? ux : { tooltip: "", color: "", outlined: false, dark: false };
        //Do we have a status
        if (ux.log_status) {
            let s = ux.log_status[item.status];
            if (s) {
                //merge in any status items
                ux = helper.ObjectClone(ux, s);
            }
        }
        let statusProp = this.statusUX(item.status);
        if (item.status == trip_status_1.TRIP_STATUS.OFFERED) {
            if (item.offer_tier == "vip") {
                let vip = statusProp.vip;
                if (vip) {
                    statusProp = vip;
                }
            }
        }
        if (item.event == notification_events_1.NOTIFICATION_EVENTS.COMMENT) {
            statusProp = null;
        }
        //
        //merge in any color and chip attributes
        //
        if (statusProp) {
            if (statusProp.tooltip == '') {
                delete statusProp.tooltip;
            }
            ux = helper.ObjectClone(ux, statusProp);
        }
        return ux;
    }
}
exports.UXHelper = UXHelper;
//# sourceMappingURL=ux.js.map