import { Address } from "./nested/address";
import { Contact } from "./nested/contact";
import { TransportProviderNotification, CareProviderNotification, AuthorizationNotification } from "./notification";
import { ServiceAPI } from '../serviceapi';
import { Entity } from './entity';
import { Avatar } from './nested/avatar';
export declare const TRAUMASOFT = "Traumasoft";
export declare const FACILITY_API = "facility_api";
export declare const TRIP_API = "trip_api";
export declare const NOTIFICATION_API = "notification_api";
export declare class Company implements Entity {
    created?: string;
    deleted?: string;
    modified?: string;
    entity_type: string;
    private company_id?;
    private company_name;
    private company_type;
    properties: Company.Properties;
    constructor();
    upgrade(): void;
    get id(): number;
    set id(value: number);
    get name(): string;
    set name(value: string);
    get type(): string;
    set type(value: string);
    get domain(): string;
    set domain(value: string);
    get facilityApi(): any;
    set facilityApi(value: any);
    get tripApi(): any;
    set tripApi(value: any);
    get notificationApi(): any;
    set notificationApi(value: any);
    setAvatar(): void;
}
export declare namespace Company {
    class Properties {
        accepted_call_types?: string;
        response_timeframe?: string;
        domain?: string;
        user_uri?: string;
        api_uri?: string;
        integrations?: any;
        response_times?: any;
        transport_provider_notifications?: TransportProviderNotification;
        care_provider_notifications?: CareProviderNotification;
        trip_authorization_notifications?: AuthorizationNotification;
        avatar: Avatar;
        contracted_performance_pct?: number;
        notification_methods?: string;
        address: Address;
        primary: Contact;
        secondary?: Contact;
        constructor();
        getDefaultResponseTimes(): any;
        setIntegrationDefaults(): void;
        hasDefaultIntegrations(): boolean;
        addIntegration(type: string, software: string, url: string, name: string, apikey: string): void;
    }
}
export declare const companyservice: ServiceAPI<Company>;
