import { ServiceAPI } from '../serviceapi';
import { Region } from "./nested/region";
import { ServiceLevel } from "./nested/service_level";
import { JobDetail } from "./nested/job_detail";
import { IFrom } from '../helper';
import { Entity } from './entity';
import { DateTime } from "./nested/datetime";
export declare const CONTRACT_STATUS: {
    DRAFT: string;
    PENDING: string;
    ACTIVE: string;
};
export declare class Contract implements Entity, IFrom {
    created?: string;
    deleted?: string;
    modified?: string;
    entity_type: string;
    contract_id: number;
    contract_offered_by: number;
    contract_market_id: number;
    contract_offered_to: number;
    contract_care_provider: number;
    contract_transporter: number;
    contract_parent_id: number | null;
    contract_name: string;
    contract_type: string;
    contract_status: string;
    properties: Contract.Properties;
    from(source: any): void;
    upgrade(): void;
    constructor();
    get id(): number;
    set id(value: number);
    get name(): string;
    set name(value: string);
    get companyId(): number;
    set companyId(value: number);
    get marketId(): number;
    set marketId(value: number);
    get type(): string;
    set type(value: string);
    setVendorIsCareProvider(value: boolean): void;
    vendorIsCareProvider(): boolean;
}
export declare namespace Contract {
    class Properties {
        regions?: Region[];
        service_level?: ServiceLevel;
        details?: JobDetail;
        start_dt: DateTime;
        end_dt: DateTime;
        constructor();
    }
}
export declare let contractservice: ServiceAPI<Contract>;
