"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.facilityservice = exports.Facility = void 0;
const class_validator_1 = require("class-validator");
const address_1 = require("./nested/address");
const contact_1 = require("./nested/contact");
const serviceapi_1 = require("../serviceapi");
class Facility {
    constructor() {
        // Important !! so server knows what type this is
        this.entity_type = 'facility';
        this.facility_id = -1;
        this.facility_company_id = -1;
        this.facility_type_lov_id = -1;
        this.facility_name = '';
        this.facility_status = 'ACTIVE';
        this.created = undefined;
        this.deleted = undefined;
        this.modified = undefined;
        this.properties = new Facility.Properties();
    }
    upgrade() {
    }
    get id() {
        return this.facility_id;
    }
    set id(value) {
        this.facility_id = value;
    }
    get name() {
        return this.facility_name;
    }
    set name(value) {
        this.facility_name = value;
    }
    get company_id() {
        return this.facility_company_id || -1;
    }
    set company_id(value) {
        this.facility_company_id = value;
    }
}
__decorate([
    class_validator_1.MaxLength(20)
], Facility.prototype, "facility_status", void 0);
__decorate([
    class_validator_1.ValidateNested()
], Facility.prototype, "properties", void 0);
exports.Facility = Facility;
(function (Facility) {
    class Properties {
        constructor() {
            this.quick_code = '';
            this.external_code = '';
            this.address = new address_1.Address();
            this.primary = new contact_1.Contact();
        }
    }
    __decorate([
        class_validator_1.ValidateNested()
    ], Properties.prototype, "address", void 0);
    __decorate([
        class_validator_1.ValidateNested()
    ], Properties.prototype, "primary", void 0);
    Facility.Properties = Properties;
})(Facility = exports.Facility || (exports.Facility = {}));
exports.facilityservice = new serviceapi_1.ServiceAPI("facility");
//# sourceMappingURL=facility.js.map