import { IFrom } from "../helper";
import { ServiceAPI } from '../serviceapi';
import { Entity } from './entity';
import { Contact } from "./nested/contact";
import { Avatar } from './nested/avatar';
export declare class InternalUser implements Entity, IFrom {
    created?: string;
    deleted?: string;
    modified?: string;
    entity_type: string;
    private internal_user_id;
    internal_user_provider_id: number;
    private internal_user_name;
    private internal_user_type;
    private internal_user_status;
    private auth_token;
    properties: InternalUser.Properties;
    constructor();
    upgrade(): void;
    from(source: any): void;
    get id(): number;
    set id(value: number);
    get providerId(): number;
    set providerId(value: number);
    get name(): string;
    set name(value: string);
    get type(): string;
    set type(value: string);
    get status(): string;
    set status(value: string);
    get password(): string;
    set password(value: string);
    get generatePW(): string;
    set generatePW(value: string);
    get firstName(): string;
    get lastName(): string;
    get middleName(): string;
    set firstName(value: string);
    set lastName(value: string);
    set middleName(value: string);
    setAvatar(): void;
    private getToken;
    initUserAuthorization(): void;
    hasActivationToken(): boolean;
    getActivationURI(): string;
    get tokenExpiration(): string;
}
export declare namespace InternalUser {
    class Properties {
        directories: string[];
        generate_password: string;
        activation_token: any;
        contact: Contact;
        avatar: Avatar;
        constructor();
    }
}
export declare let internal_userservice: ServiceAPI<InternalUser>;
