import { ServiceAPI } from '../serviceapi';
import { Destination } from "./nested/destination";
import { JobDetail } from "./nested/job_detail";
import { IFrom } from '../helper';
import { DateTime } from "./nested/datetime";
import { Entity } from './entity';
import { Recurrence } from "./nested/recurrence";
import { Trip } from "./trip";
export declare const ITINERARY_STATUS: {
    DRAFT: string;
    ACTIVE: string;
    COMPLETED: string;
};
export declare class Itinerary implements Entity, IFrom {
    created?: string;
    deleted?: string;
    modified?: string;
    entity_type: string;
    private itinerary_id;
    private itinerary_company_id;
    private itinerary_market_id;
    private itinerary_patient_id;
    private itinerary_name;
    private itinerary_type;
    private itinerary_status;
    properties: Itinerary.Properties;
    constructor();
    upgrade(): void;
    from(source: any): void;
    get id(): number;
    set id(value: number);
    get reference(): string;
    set reference(value: string);
    get companyId(): number;
    set companyId(value: number);
    get marketId(): number;
    set marketId(value: number);
    get patientId(): number;
    set patientId(value: number);
    set type(value: string);
    get type(): string;
    set returnPickUpType(value: string);
    get returnPickUpType(): string;
    get isOneWay(): boolean;
    get isRoundTrip(): boolean;
    get isMultiLeg(): boolean;
    get usePatientCertification(): boolean;
    set usePatientCertification(value: boolean);
    uuidv4(): string;
    setLegs(): void;
    generateALeg(): Trip;
    generateBLeg(): Trip;
    setALeg(leg: Trip): Trip;
    setBLeg(leg: Trip): Trip;
    get aLeg(): Trip;
}
export declare namespace Itinerary {
    class Properties {
        use_patient_certification?: boolean;
        pick_up: Destination;
        drop_off: Destination;
        route_summary?: any;
        details: JobDetail;
        trips?: any[];
        questions?: any[];
        comments?: any[];
        recurrence: Recurrence;
        return_pick_up_type: string;
        return_pick_up_dt?: DateTime;
        originator_review: boolean;
        transporter_review: boolean;
        constructor();
    }
}
export declare let itineraryservice: ServiceAPI<Itinerary>;
