import { ServiceSubClassAPI } from '../serviceapi';
import { JobDetail } from "./nested/job_detail";
import { Region } from "./nested/region";
import { IFrom } from '../helper';
import { Entity } from './entity';
export declare const TRANSPORT_JOB_TYPE = "transport_job_type";
export declare const CONTRACT_JOB_TYPE = "service_job_type";
export declare const JOB_TYPE = "job_type";
export declare class CompanyJobType<T extends Properties> implements Entity, IFrom {
    created?: string;
    deleted?: string;
    modified?: string;
    entity_type: string;
    private job_type_id;
    private job_type_market_id;
    private job_type_company_id;
    private job_type_name;
    private job_type_type;
    private job_type_status;
    properties: T;
    constructor(type: string);
    upgrade(): void;
    from(source: any): void;
    get companyId(): number;
    set companyId(value: number);
    get marketId(): number;
    set marketId(value: number);
    get id(): number;
    set id(value: number);
    get name(): string;
    set name(value: string);
    get type(): string;
    set type(value: string);
}
export declare class Properties {
    response_times?: any[];
    regions?: Region[];
    details?: JobDetail;
    constructor();
}
export declare class TransportJobType extends Properties {
    static instance(): CompanyJobType<TransportJobType>;
    constructor();
}
export declare class ContractJobType extends Properties {
    offer_strategies?: any[];
    static instance(): CompanyJobType<ContractJobType>;
    constructor();
}
export declare let transportjobtypeservice: ServiceSubClassAPI<CompanyJobType<TransportJobType>>;
export declare let contractjobtypeservice: ServiceSubClassAPI<CompanyJobType<ContractJobType>>;
