"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.contractjobtypeservice = exports.transportjobtypeservice = exports.ContractJobType = exports.TransportJobType = exports.Properties = exports.CompanyJobType = exports.JOB_TYPE = exports.CONTRACT_JOB_TYPE = exports.TRANSPORT_JOB_TYPE = void 0;
const class_validator_1 = require("class-validator");
const serviceapi_1 = require("../serviceapi");
const job_detail_1 = require("./nested/job_detail");
const region_1 = require("./nested/region");
exports.TRANSPORT_JOB_TYPE = "transport_job_type";
exports.CONTRACT_JOB_TYPE = "service_job_type";
exports.JOB_TYPE = "job_type";
let typeMap = {};
class CompanyJobType {
    constructor(type) {
        // Important !! so server knows what type this is
        this.entity_type = exports.JOB_TYPE;
        this.job_type_id = -1;
        this.job_type_company_id = -1;
        this.job_type_market_id = -1;
        this.job_type_name = '';
        this.job_type_type = type;
        this.job_type_status = 'ACTIVE';
        this.created = undefined;
        this.deleted = undefined;
        this.modified = undefined;
        this.properties = new (typeMap[type] || Properties)();
    }
    upgrade() {
        if (!this.properties.regions) {
            this.properties.regions = [];
        }
        if (!this.properties.response_times) {
            this.properties.response_times = [];
        }
    }
    from(source) {
        var _a;
        this.properties.regions = (_a = this.properties.regions) === null || _a === void 0 ? void 0 : _a.map((region) => {
            return new region_1.Region(region.name, region.area);
        });
        if (this.properties.details) {
            this.properties.details.from();
        }
    }
    get companyId() {
        return this.job_type_company_id;
    }
    set companyId(value) {
        this.job_type_company_id = value;
    }
    get marketId() {
        return this.job_type_market_id;
    }
    set marketId(value) {
        this.job_type_market_id = value;
    }
    get id() {
        return this.job_type_id;
    }
    set id(value) {
        this.job_type_id = value;
    }
    get name() {
        return this.job_type_name;
    }
    set name(value) {
        this.job_type_name = value;
    }
    get type() {
        return this.job_type_type;
    }
    set type(value) {
        this.job_type_type = value;
    }
}
__decorate([
    class_validator_1.ValidateNested()
], CompanyJobType.prototype, "properties", void 0);
exports.CompanyJobType = CompanyJobType;
class Properties {
    constructor() {
        this.regions = [];
        this.response_times = [];
        this.details = new job_detail_1.JobDetail();
    }
}
exports.Properties = Properties;
class TransportJobType extends Properties {
    static instance() {
        return new CompanyJobType('transport');
    }
    constructor() {
        super();
    }
}
exports.TransportJobType = TransportJobType;
class ContractJobType extends Properties {
    constructor() {
        super();
        this.offer_strategies = [];
    }
    static instance() {
        return new CompanyJobType('service');
    }
}
exports.ContractJobType = ContractJobType;
typeMap['transport'] = TransportJobType;
typeMap['service'] = ContractJobType;
exports.transportjobtypeservice = new serviceapi_1.ServiceSubClassAPI(exports.JOB_TYPE, exports.TRANSPORT_JOB_TYPE);
exports.contractjobtypeservice = new serviceapi_1.ServiceSubClassAPI(exports.JOB_TYPE, exports.CONTRACT_JOB_TYPE);
//# sourceMappingURL=job_type.js.map