import { ServiceAPI } from '../../serviceapi';
import { Entity } from '../entity';
export declare const ADDRESS_STATE = "address_state";
export declare const COMPANY_TYPE = "company_type";
export declare const CALL_TYPE = "call_type";
export declare const CALL_PRIORITY = "call_priority";
export declare const LEVEL_OF_SERVICE = "level_of_service";
export declare const FACILITY_TYPE = "facility_type";
export declare const PARAMETER: {
    TYPES: {
        TIMEOFDAY: string;
        DAYOFWEEK: string;
        QTY: string;
    };
    UNITS: {
        MINUTE: string;
        WEIGHT: string;
        VOLUME: string;
        COUNT: string;
    };
};
export declare const PARAMETER_TYPES: {
    id: string;
    label: string;
}[];
export declare const PARAMETER_UNITS: {
    id: string;
    label: string;
}[];
export declare class Lov<T extends Properties> implements Entity {
    created?: string;
    deleted?: string;
    modified?: string;
    entity_type: string;
    private lov_id;
    private lov_name;
    private lov_type;
    properties: T;
    constructor(lov_type: string);
    upgrade(): void;
    get id(): number;
    set id(value: number);
    get code(): string;
    set code(value: string);
    get displayName(): string;
    set displayName(value: string);
    get type(): string;
    set type(value: string);
    get isQtyParameter(): boolean;
    get parameterTypes(): any;
    get parameterUnits(): any;
    get parameterTypeDisplay(): string;
    get parameterUnitDisplay(): string;
}
export declare class Properties {
    display_name: string;
    parameter_type: string;
    parameter_unit: string;
    init(): void;
    static instance(entity_type: string): Lov<Properties>;
}
export declare class CompanyType extends Properties {
    transport_provider: string;
    care_provider: string;
    authorize_bookings: string;
    static instance(): Lov<CompanyType>;
    constructor();
}
export declare class CallType extends Properties {
    static instance(): Lov<CallType>;
    constructor();
}
export declare let addressstateservice: ServiceAPI<Lov<Properties>>;
export declare let losservice: ServiceAPI<Lov<Properties>>;
export declare let callpriorityservice: ServiceAPI<Lov<Properties>>;
export declare let calltypeservice: ServiceAPI<Lov<CallType>>;
export declare let companytypeservice: ServiceAPI<Lov<CompanyType>>;
export declare let facilitytypeservice: ServiceAPI<Lov<Properties>>;
