import { ServiceSubClassAPI } from '../../serviceapi';
import { Entity } from '../entity';
export declare const LOV_ALIAS = "lov_alias";
export declare const CALL_TYPE_ALIAS = "call_type_lov_alias";
export declare const CALL_PRIORITY_ALIAS = "call_priority_lov_alias";
export declare const LEVEL_OF_SERVICE_ALIAS = "level_of_service_lov_alias";
export declare const FACILITY_TYPE_ALIAS = "facility_type_lov_alias";
export declare class LovAlias<T extends Properties> implements Entity {
    created?: string;
    deleted?: string;
    modified?: string;
    entity_type: string;
    private lov_alias_id;
    private lov_alias_company_id;
    private lov_alias_lov_id;
    lov_properties: any;
    private lov_alias_reference;
    properties: T;
    constructor(type: string);
    upgrade(): void;
    get id(): number;
    set id(value: number);
    get companyId(): number;
    set companyId(value: number);
    get lovId(): number;
    set lovId(value: number);
    get code(): string;
    set code(value: string);
    get displayName(): string;
    set displayName(value: string);
    get rank(): Number;
    get parameterTypeDisplay(): string;
    get parameterUnitDisplay(): string;
}
export declare class Properties {
    display_name?: string;
    value: number;
    description: string;
    parameter_type: string;
    parameter_unit: string;
    rank: null | number;
    init(): void;
    static instance(entity_type: string): LovAlias<Properties>;
}
export declare let losservicealias: ServiceSubClassAPI<LovAlias<Properties>>;
export declare let callpriorityservicealias: ServiceSubClassAPI<LovAlias<Properties>>;
export declare let calltypeservicealias: ServiceSubClassAPI<LovAlias<Properties>>;
export declare let facilitytypeservicealias: ServiceSubClassAPI<LovAlias<Properties>>;
