"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.facilitytypeservicealias = exports.calltypeservicealias = exports.callpriorityservicealias = exports.losservicealias = exports.Properties = exports.LovAlias = exports.FACILITY_TYPE_ALIAS = exports.LEVEL_OF_SERVICE_ALIAS = exports.CALL_PRIORITY_ALIAS = exports.CALL_TYPE_ALIAS = exports.LOV_ALIAS = void 0;
const serviceapi_1 = require("../../serviceapi");
const lov_1 = require("./lov");
exports.LOV_ALIAS = "lov_alias";
exports.CALL_TYPE_ALIAS = "call_type_lov_alias";
exports.CALL_PRIORITY_ALIAS = "call_priority_lov_alias";
exports.LEVEL_OF_SERVICE_ALIAS = "level_of_service_lov_alias";
exports.FACILITY_TYPE_ALIAS = "facility_type_lov_alias";
class LovAlias {
    constructor(type) {
        // Important !! so server knows what type this is
        this.entity_type = 'lov_alias';
        this.lov_alias_id = -1;
        this.lov_alias_company_id = -1;
        this.lov_alias_lov_id = -1;
        this.lov_alias_reference = '';
        this.lov_properties = {};
        this.created = undefined;
        this.deleted = undefined;
        this.modified = undefined;
        this.properties = new Properties();
    }
    upgrade() {
    }
    get id() {
        return this.lov_alias_id;
    }
    set id(value) {
        this.lov_alias_id = value;
    }
    get companyId() {
        return this.lov_alias_company_id;
    }
    set companyId(value) {
        this.lov_alias_company_id = value;
    }
    get lovId() {
        return this.lov_alias_lov_id;
    }
    set lovId(value) {
        this.lov_alias_lov_id = value;
    }
    get code() {
        return this.lov_alias_reference;
    }
    set code(value) {
        this.lov_alias_reference = value;
    }
    get displayName() {
        return this.properties.display_name || '';
    }
    set displayName(value) {
        this.properties.display_name = value;
    }
    get rank() {
        return this.properties.rank ? this.properties.rank : 0;
    }
    get parameterTypeDisplay() {
        if (this.lov_properties.parameter_type != '') {
            for (let i = 0; i < lov_1.PARAMETER_TYPES.length; i++) {
                let e = lov_1.PARAMETER_TYPES[i];
                if (e.id == this.lov_properties.parameter_type) {
                    return e.label;
                    break;
                }
            }
        }
        return '';
    }
    get parameterUnitDisplay() {
        if (this.lov_properties.parameter_unit != '') {
            for (let i = 0; i < lov_1.PARAMETER_UNITS.length; i++) {
                let e = lov_1.PARAMETER_UNITS[i];
                if (e.id == this.lov_properties.parameter_unit) {
                    return e.label;
                    break;
                }
            }
        }
        return '';
    }
}
exports.LovAlias = LovAlias;
class Properties {
    constructor() {
        this.value = 0;
        this.description = '';
        this.parameter_type = '';
        this.parameter_unit = '';
        this.rank = 0;
    }
    init() {
        this.display_name = '';
        this.value = 0;
        this.description = '';
        this.parameter_type = '';
        this.parameter_unit = '';
        this.rank = 0;
    }
    static instance(entity_type) {
        return new LovAlias(entity_type);
    }
}
exports.Properties = Properties;
exports.losservicealias = new serviceapi_1.ServiceSubClassAPI(exports.LOV_ALIAS, exports.LEVEL_OF_SERVICE_ALIAS);
exports.callpriorityservicealias = new serviceapi_1.ServiceSubClassAPI(exports.LOV_ALIAS, exports.CALL_PRIORITY_ALIAS);
exports.calltypeservicealias = new serviceapi_1.ServiceSubClassAPI(exports.LOV_ALIAS, exports.CALL_TYPE_ALIAS);
exports.facilitytypeservicealias = new serviceapi_1.ServiceSubClassAPI(exports.LOV_ALIAS, exports.FACILITY_TYPE_ALIAS);
//# sourceMappingURL=lov_alias.js.map