"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.marketservice = exports.Market = void 0;
const class_validator_1 = require("class-validator");
const serviceapi_1 = require("../serviceapi");
class Market {
    constructor() {
        // Important !! so server knows what type this is
        this.entity_type = 'market';
        this.market_id = -1;
        this.market_owner_id = -1;
        this.market_name = '';
        this.market_type = '';
        this.market_status = 'ACTIVE';
        this.created = undefined;
        this.deleted = undefined;
        this.modified = undefined;
        this.properties = new Market.Properties();
    }
    upgrade() {
    }
    get id() {
        return this.market_id;
    }
    set id(value) {
        this.market_id = value;
    }
    get name() {
        return this.market_name;
    }
    set name(value) {
        this.market_name = value;
    }
    get type() {
        return this.market_type;
    }
    set type(value) {
        this.market_type = value;
    }
    get company_id() {
        return this.market_owner_id || -1;
    }
    set company_id(value) {
        this.market_owner_id = value;
    }
}
__decorate([
    class_validator_1.MaxLength(50)
], Market.prototype, "market_name", void 0);
__decorate([
    class_validator_1.MaxLength(20)
], Market.prototype, "market_type", void 0);
__decorate([
    class_validator_1.ValidateNested()
], Market.prototype, "properties", void 0);
exports.Market = Market;
(function (Market) {
    class Properties {
        constructor() {
            this.default_escalation_time = 15;
            this.default_booking_use_questions = false;
        }
    }
    Market.Properties = Properties;
})(Market = exports.Market || (exports.Market = {}));
exports.marketservice = new serviceapi_1.ServiceAPI("market");
//# sourceMappingURL=market.js.map