import { ServiceAPI } from '../serviceapi';
import { JobDetail } from "./nested/job_detail";
import { Region } from "./nested/region";
import { ServiceLevel } from "./nested/service_level";
import { IFrom } from '../helper';
import { Entity } from './entity';
export declare class MarketRuleStrategy {
    priority_lov_alias_id: number | null;
    priority_lov_alias_lov_id: number | null;
    lov_alias_reference: string;
    time_to_pu: string;
    strategy: [];
    limited_offer_time: string;
    escalate_on_time_to_pu: string;
    allow_upgrade: boolean;
}
export declare class MarketRule implements Entity, IFrom {
    created?: string;
    deleted?: string;
    modified?: string;
    entity_type: string;
    private market_rule_id;
    private market_rule_company_id;
    private market_rule_market_id;
    private market_rule_name;
    private market_rule_type;
    private market_rule_status;
    properties: MarketRule.Properties;
    constructor();
    upgrade(): void;
    from(source: any): void;
    get id(): number;
    set id(value: number);
    get name(): string;
    set name(value: string);
    get companyId(): number;
    set companyId(value: number);
    get marketId(): number;
    set marketId(value: number);
    get type(): string;
    set type(value: string);
    get countOfferStrategies(): number;
}
export declare namespace MarketRule {
    class Properties {
        offer_strategies?: any[];
        regions?: Region[];
        service_level?: ServiceLevel;
        details?: JobDetail;
        tiers?: any;
        constructor();
    }
}
export declare let marketruleservice: ServiceAPI<MarketRule>;
