"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.marketruleservice = exports.MarketRule = exports.MarketRuleStrategy = void 0;
const class_validator_1 = require("class-validator");
const serviceapi_1 = require("../serviceapi");
const job_detail_1 = require("./nested/job_detail");
const region_1 = require("./nested/region");
const service_level_1 = require("./nested/service_level");
class MarketRuleStrategy {
    constructor() {
        this.priority_lov_alias_id = -1;
        this.priority_lov_alias_lov_id = -1;
        this.lov_alias_reference = '';
        this.time_to_pu = "";
        this.strategy = [];
        this.limited_offer_time = "5";
        this.escalate_on_time_to_pu = "";
        this.allow_upgrade = false;
    }
}
exports.MarketRuleStrategy = MarketRuleStrategy;
class MarketRule {
    constructor() {
        // Important !! so server knows what type this is
        this.entity_type = 'market_rule';
        this.market_rule_id = -1;
        this.market_rule_company_id = -1;
        this.market_rule_market_id = -1;
        this.market_rule_name = '';
        this.market_rule_type = 'standard';
        this.market_rule_status = 'ACTIVE';
        this.created = undefined;
        this.deleted = undefined;
        this.modified = undefined;
        this.properties = new MarketRule.Properties();
    }
    upgrade() {
        if (!this.properties.regions) {
            this.properties.regions = [];
        }
    }
    from(source) {
        var _a;
        this.properties.regions = (_a = this.properties.regions) === null || _a === void 0 ? void 0 : _a.map(region => {
            return new region_1.Region(region.name, region.area);
        });
        if (this.properties.details) {
            this.properties.details.from();
        }
    }
    get id() {
        return this.market_rule_id;
    }
    set id(value) {
        this.market_rule_id = value;
    }
    get name() {
        return this.market_rule_name;
    }
    set name(value) {
        this.market_rule_name = value;
    }
    get companyId() {
        return this.market_rule_company_id || -1;
    }
    set companyId(value) {
        this.market_rule_company_id = value;
    }
    get marketId() {
        return this.market_rule_market_id || -1;
    }
    set marketId(value) {
        this.market_rule_market_id = value;
    }
    get type() {
        return this.market_rule_type;
    }
    set type(value) {
        this.market_rule_type = value;
    }
    get countOfferStrategies() {
        return this.properties.offer_strategies.length;
    }
}
__decorate([
    class_validator_1.MaxLength(20)
], MarketRule.prototype, "market_rule_status", void 0);
__decorate([
    class_validator_1.ValidateNested()
], MarketRule.prototype, "properties", void 0);
exports.MarketRule = MarketRule;
(function (MarketRule) {
    class Properties {
        constructor() {
            this.offer_strategies = [];
            this.regions = [];
            this.details = new job_detail_1.JobDetail();
            this.service_level = new service_level_1.ServiceLevel();
            this.tiers = { tier_1: [], tier_2: [], tier_3: [] };
        }
    }
    MarketRule.Properties = Properties;
})(MarketRule = exports.MarketRule || (exports.MarketRule = {}));
exports.marketruleservice = new serviceapi_1.ServiceAPI("market_rule");
//# sourceMappingURL=market_rule.js.map