"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Contact = void 0;
const class_validator_1 = require("class-validator");
class Contact {
    constructor() {
        this.email = '';
        this.suffix = '';
        this.firstname = '';
        this.lastname = '';
        this.middlename = '';
        this.phone = '';
        this.phone_extension = '';
        this.fax = '';
        this.mobile = '';
    }
    get isValid() {
        return (typeof this.email != 'undefined' &&
            typeof this.firstname != 'undefined' &&
            typeof this.lastname != 'undefined' &&
            this.email != "" &&
            this.firstname != "" &&
            this.lastname != "");
    }
    get displayName() {
        let res = [];
        if (this.validValue(this.firstname)) {
            res.push(this.firstname);
        }
        if (this.validValue(this.middlename)) {
            res.push(this.middlename);
        }
        if (this.validValue(this.lastname)) {
            res.push(this.lastname);
        }
        if (this.validValue(this.suffix)) {
            res.push(this.suffix);
        }
        return res.join(' ');
    }
    get contactSummary() {
        let res = [];
        if (this.validValue(this.email)) {
            res.push("email : " + this.email);
        }
        if (this.validValue(this.mobile)) {
            res.push("mobile : " + this.mobile);
        }
        return res.join(' ');
    }
    validValue(value) {
        return (value && value.length > 0);
    }
}
__decorate([
    class_validator_1.IsEmail()
], Contact.prototype, "email", void 0);
exports.Contact = Contact;
//# sourceMappingURL=contact.js.map