"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Destination = void 0;
const address_1 = require("./address");
const datetime_1 = require("./datetime");
class Destination {
    constructor() {
        this.dt = new datetime_1.DateTime();
        this.notes = '';
        this.address = new address_1.Address();
        this.is_facility = false;
        this.facility_id = -1;
        this.facility_notes = '';
    }
    get isFacility() {
        return this.is_facility;
    }
    set isFacility(value) {
        //If value is toggling
        //then clear out address and facility_id
        if (value != this.is_facility) {
            this.facility_id = -1;
            this.address = new address_1.Address();
        }
        this.is_facility = value;
    }
    get time() {
        return this.dt.time;
    }
    set time(value) {
        this.dt.time = value;
    }
    get date() {
        return this.dt.date;
    }
    set date(value) {
        this.dt.date = value;
    }
    get datetime() {
        return this.dt.datetime;
    }
    set datetime(value) {
        this.dt.datetime = value;
    }
    get isValid() {
        return (this.is_facility && this.facility_id > 0) || this.address.isValid;
    }
}
exports.Destination = Destination;
//# sourceMappingURL=destination.js.map