"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Payor = void 0;
class Payor {
    constructor() {
        this.name = '';
        this.coverage = '';
        this.policy_number = '';
        this.member_id = '';
        this.group = '';
        this.group_number = '';
        this.tokens = false;
        this.tokens_remaining = null;
        this.tokens_total = null;
        this.effective_date = '';
        this.expiry_date = '';
        this.authorization_number = '';
    }
    static coverageList() {
        return ['Primary', 'Supplemental', 'Auto', 'Contract'];
    }
    get isValid() {
        return (typeof this.policy_number != 'undefined' &&
            typeof this.group_number != 'undefined' &&
            typeof this.name != 'undefined' &&
            typeof this.coverage != 'undefined' &&
            this.name != "" &&
            this.coverage != "" &&
            this.policy_number != "" &&
            this.group_number != "");
    }
}
exports.Payor = Payor;
//# sourceMappingURL=payor.js.map