"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PersonTraits = void 0;
class PersonTraits {
    constructor() {
        this.dob = '';
        this.age = null;
        this.gender = '';
        this.weight = '';
        this.weight_unit = '';
        this.height = '';
        this.height_unit = '';
    }
    static genderList() {
        return ['Male', 'Female', 'Unknown', 'Other'];
    }
    get isValid() {
        return (typeof this.dob != 'undefined' &&
            typeof this.gender != 'undefined' &&
            typeof this.weight != 'undefined' &&
            this.dob != "" &&
            this.gender != "" &&
            this.weight != "");
    }
    get summary() {
        let res = [];
        if (this.age) {
            res.push(this.age + " years old");
        }
        if (this.validValue(this.gender)) {
            res.push(this.gender);
        }
        if (this.validValue(this.weight)) {
            let w = (this.weight + ' ' + this.weight_unit).trim();
            res.push(w);
        }
        if (this.validValue(this.height)) {
            let w = (this.height + ' ' + this.height_unit).trim();
            res.push(w);
        }
        return res.join(', ');
    }
    validValue(value) {
        return (value && value.length > 0);
    }
    set dateOfBirth(value) {
        this.dob = value;
        if (value) {
            this.age = this.calculateAge(value);
        }
    }
    get dateOfBirth() {
        return this.dob ? this.dob : '';
    }
    calculateAge(dateString) {
        var birthday = +new Date(dateString);
        return ~~((Date.now() - birthday) / (31557600000));
    }
}
exports.PersonTraits = PersonTraits;
//# sourceMappingURL=person_traits.js.map