"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Recurrence = exports.RECURRING_DAY_OPTIONS = exports.RECURRING_OFFER_INTERVAL = exports.RECURRING_SELECTORS = void 0;
const datetime_1 = require("./datetime");
exports.RECURRING_SELECTORS = {
    M2F: "M-F",
    MWF: "MWF",
    TH: "TH",
    THS: "THS",
    CUSTOM: "Custom",
    NONE: "Not Recurring"
};
exports.RECURRING_OFFER_INTERVAL = {
    SINGLE: "single",
    MONTHLY: "monthly",
    FORTNIGHTLY: "bi-weekly",
    WEEKLY: "weekly"
};
exports.RECURRING_DAY_OPTIONS = ["", "Every", "Every other", "1st of month", "2nd of month", "3rd of month", "Last of month"];
class Recurrence {
    constructor() {
        this.is_recurring = false;
        this.selector = exports.RECURRING_SELECTORS.NONE;
        this.offer_interval = exports.RECURRING_OFFER_INTERVAL.SINGLE;
        this.cron = '';
        this.days = { sunday: "", monday: "", tuesday: "", wednesday: "", thursday: "", friday: "", saturday: "" };
        this.times = { sunday: "", monday: "", tuesday: "", wednesday: "", thursday: "", friday: "", saturday: "" };
        this.start_dt = new datetime_1.DateTime();
        this.end_dt = new datetime_1.DateTime();
        this.daySelector = exports.RECURRING_SELECTORS.NONE;
        this.defaultTime("00:00");
    }
    get isRecurring() {
        return this.is_recurring;
    }
    from(source) {
        if (source.start_date) {
            this.start_dt = source.start_date;
        }
        if (source.end_date) {
            this.end_dt = source.end_date;
        }
    }
    defaultDays() {
        let option = exports.RECURRING_DAY_OPTIONS[0];
        this.sunday = option;
        this.monday = option;
        this.tuesday = option;
        this.wednesday = option;
        this.thursday = option;
        this.friday = option;
        this.saturday = option;
    }
    defaultTime(option) {
        this.times.sunday = option;
        this.times.monday = option;
        this.times.tuesday = option;
        this.times.wednesday = option;
        this.times.thursday = option;
        this.times.friday = option;
        this.times.saturday = option;
    }
    setCron() {
    }
    get sunday() { return this.days.sunday; }
    set sunday(value) {
        this.days.sunday = value;
        this.setCron();
    }
    get monday() { return this.days.monday; }
    set monday(value) {
        this.days.monday = value;
        this.setCron();
    }
    get tuesday() { return this.days.tuesday; }
    set tuesday(value) {
        this.days.tuesday = value;
        this.setCron();
    }
    get wednesday() { return this.days.wednesday; }
    set wednesday(value) {
        this.days.wednesday = value;
        this.setCron();
    }
    get thursday() { return this.days.thursday; }
    set thursday(value) {
        this.days.thursday = value;
        this.setCron();
    }
    get friday() { return this.days.friday; }
    set friday(value) {
        this.days.friday = value;
        this.setCron();
    }
    get saturday() { return this.days.saturday; }
    set saturday(value) {
        this.days.friday = value;
        this.setCron();
    }
    get sundayTime() { return this.times.sunday; }
    set sundayTime(value) {
        this.times.sunday = value;
        this.setCron();
    }
    get mondayTime() { return this.times.monday; }
    set mondayTime(value) {
        this.times.monday = value;
        this.setCron();
    }
    get tuesdayTime() { return this.times.tuesday; }
    set tuesdayTime(value) {
        this.times.tuesday = value;
        this.setCron();
    }
    get wednesdayTime() { return this.times.wednesday; }
    set wednesdayTime(value) {
        this.times.wednesday = value;
        this.setCron();
    }
    get thursdayTime() { return this.times.thursday; }
    set thursdayTime(value) {
        this.times.thursday = value;
        this.setCron();
    }
    get fridayTime() { return this.times.friday; }
    set fridayTime(value) {
        this.times.friday = value;
        this.setCron();
    }
    get saturdayTime() { return this.times.saturday; }
    set saturdayTime(value) {
        this.times.saturday = value;
        this.setCron();
    }
    get daySelector() {
        return this.selector;
    }
    set daySelector(value) {
        this.selector = value;
        this.is_recurring = (value != exports.RECURRING_SELECTORS.NONE);
        this.defaultDays();
        let option = exports.RECURRING_DAY_OPTIONS[1];
        switch (value) {
            case exports.RECURRING_SELECTORS.NONE:
                break;
            case exports.RECURRING_SELECTORS.M2F:
                this.monday = option;
                this.tuesday = option;
                this.wednesday = option;
                this.thursday = option;
                this.friday = option;
                break;
            case exports.RECURRING_SELECTORS.MWF:
                this.monday = option;
                this.wednesday = option;
                this.friday = option;
                break;
            case exports.RECURRING_SELECTORS.TH:
                this.tuesday = option;
                this.thursday = option;
                break;
            case exports.RECURRING_SELECTORS.THS:
                this.tuesday = option;
                this.thursday = option;
                this.saturday = option;
                break;
            case exports.RECURRING_SELECTORS.CUSTOM:
                this.sunday = option;
                this.monday = option;
                this.tuesday = option;
                this.wednesday = option;
                this.thursday = option;
                this.friday = option;
                this.saturday = option;
                break;
        }
    }
}
exports.Recurrence = Recurrence;
//# sourceMappingURL=recurrence.js.map