"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Region = void 0;
class Region {
    constructor(n, a) {
        this.name = n;
        this.area = a;
        this.response_times = [];
    }
    get locationId() {
        return this.area.locationId ? this.area.locationId : this.area.address.locationId;
    }
    matchesAddress(o) {
        let a = (this.locationId == o.locationId || (this.area.address.postalCode && o.address.postalCode &&
            this.area.address.city == o.address.city &&
            this.area.address.postalCode == o.address.postalCode));
        if (a) {
            return (this.area.address.country == o.address.country &&
                this.area.address.city == o.address.city &&
                this.area.address.county == o.address.county);
        }
        return false;
    }
    get displayLine1() {
        if (this.area.matchLevel == "state") {
            return "All counties in state";
        }
        return this.area.address.city ? this.area.address.city : "All cities in county";
    }
    get displayLine2() {
        if (this.area.matchLevel == "state") {
            return this.area.label;
        }
        let pcode = this.area.address.postalCode ? this.area.address.postalCode : "";
        return this.area.address.county + ", " + this.area.address.state + " " + pcode;
    }
    get shortDescription() {
        let res = [];
        if (this.area.address.county) {
            let s = this.area.address.city ? this.area.address.city + ' ' + this.area.address.county : this.area.address.county;
            res.push(s);
        }
        if (this.area.address.state) {
            let s = this.area.address.postalCode ? this.area.address.state + ' ' + this.area.address.postalCode : this.area.address.state;
            res.push(s);
        }
        else if (this.area.address.postalCode) {
            res.push(this.area.address.postalCode);
        }
        return res.join(",");
    }
}
exports.Region = Region;
//# sourceMappingURL=region.js.map