import { Address } from "./nested/address";
import { Contact } from "./nested/contact";
import { PersonTraits } from "./nested/person_traits";
import { Payor } from "./nested/payor";
import { ServiceAPI } from '../serviceapi';
import { IFrom } from '../helper';
import { Entity } from './entity';
export declare class Patient implements Entity, IFrom {
    created?: string;
    deleted?: string;
    modified?: string;
    entity_type: string;
    private patient_id;
    private patient_company_id;
    private patient_name;
    private patient_type;
    private patient_status;
    properties: Patient.Properties;
    constructor();
    upgrade(): void;
    from(source: any): void;
    get id(): number;
    set id(value: number);
    get reference(): string;
    set reference(value: string);
    get type(): string;
    set type(value: string);
    get company_id(): number;
    set company_id(value: number);
    get coverageLOV(): string[];
    get genderLOV(): string[];
    get displayName(): string;
    addPayor(payor?: Payor): void;
    deletePayor(item: any): void;
}
export declare namespace Patient {
    class Properties {
        access_expiration_date?: string;
        payors?: Payor[];
        medicare_number?: string;
        medicaid_number?: string;
        in_facility?: boolean;
        facility_id?: null | number;
        facility_patient_location?: string;
        residence: Address;
        contact: Contact;
        traits: PersonTraits;
        constructor();
        get medicareSummary(): string;
        validValue(value: any): boolean;
    }
}
export declare let patientservice: ServiceAPI<Patient>;
