"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.providerservice = exports.Provider = void 0;
const class_validator_1 = require("class-validator");
const serviceapi_1 = require("../serviceapi");
class Provider {
    constructor() {
        // Important !! so server knows what type this is
        this.entity_type = 'Provider';
        this.provider_id = -1;
        this.provider_name = '';
        this.provider_type = '';
        this.created = undefined;
        this.deleted = undefined;
        this.modified = undefined;
        this.properties = new Provider.Properties();
    }
    upgrade() {
        if (!this.properties.directories) {
            this.properties.directories = [];
        }
    }
    get id() {
        return this.provider_id;
    }
    set id(value) {
        this.provider_id = value;
    }
    get name() {
        return this.provider_name;
    }
    set name(value) {
        this.provider_name = value;
    }
    get type() {
        return this.provider_type;
    }
    set type(value) {
        this.provider_type = value;
    }
}
__decorate([
    class_validator_1.MaxLength(10)
], Provider.prototype, "provider_name", void 0);
__decorate([
    class_validator_1.ValidateNested()
], Provider.prototype, "properties", void 0);
exports.Provider = Provider;
(function (Provider) {
    class Properties {
        constructor() {
            this.directories = [];
        }
    }
    Provider.Properties = Properties;
})(Provider = exports.Provider || (exports.Provider = {}));
exports.providerservice = new serviceapi_1.ServiceAPI("provider");
//# sourceMappingURL=provider.js.map