import { ServiceAPI } from '../serviceapi';
import { Entity } from './entity';
export declare const QUESTION_TYPES: {
    CT: string;
    VAR: string;
    BOTH: string;
};
export declare class Question implements Entity {
    created?: string;
    deleted?: string;
    modified?: string;
    entity_type: string;
    private question_id;
    private question_company_id;
    private question_name;
    private question_status;
    properties: Question.Properties;
    constructor();
    upgrade(): void;
    get id(): number;
    set id(value: number);
    get text(): string;
    set text(value: string);
    get companyId(): number;
    set companyId(value: number);
    get valueHint(): string;
    set questionType(value: string);
    get questionType(): string;
    setVariables(items: any[]): void;
    getVariablesDisplayNames(): string;
}
export declare namespace Question {
    class Properties {
        type?: string;
        call_type_lov_alias_id?: number;
        variables?: any[];
        display_order?: null | number;
        has_value?: boolean;
        value_hint?: string;
        value_mask?: string;
        value?: string;
        constructor();
    }
}
export declare let questionservice: ServiceAPI<Question>;
