"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.questionservice = exports.Question = exports.QUESTION_TYPES = void 0;
const class_validator_1 = require("class-validator");
const serviceapi_1 = require("../serviceapi");
exports.QUESTION_TYPES = {
    CT: "calltype", VAR: "variable", BOTH: "both"
};
//const enum QuestionType {
//    calltype = "calltype",
//    variable = "variable",
//    both = "both"
//}
class Question {
    constructor() {
        // Important !! so server knows what type this is
        this.entity_type = 'question';
        this.question_id = -1;
        this.question_company_id = -1;
        this.question_name = '';
        this.question_status = 'ACTIVE';
        this.created = undefined;
        this.deleted = undefined;
        this.modified = undefined;
        this.properties = new Question.Properties();
    }
    upgrade() {
    }
    get id() {
        return this.question_id;
    }
    set id(value) {
        this.question_id = value;
    }
    get text() {
        return this.question_name;
    }
    set text(value) {
        this.question_name = value;
    }
    get companyId() {
        return this.question_company_id || -1;
    }
    set companyId(value) {
        this.question_company_id = value;
    }
    get valueHint() {
        return this.properties.has_value ? this.properties.value_hint || '' : '';
    }
    set questionType(value) {
        this.properties.type = value;
    }
    get questionType() {
        return this.properties.type;
    }
    setVariables(items) {
        this.properties.variables = [];
        items.forEach(item => {
            this.properties.variables.push({
                id: item.lov_alias_id,
                code: item.code,
                displayName: item.displayName,
                lov_id: item.lov_alias_lov_id
            });
        });
    }
    getVariablesDisplayNames() {
        return this.properties.variables.map(item => {
            return item.displayName;
        }).join(", ");
    }
}
__decorate([
    class_validator_1.MaxLength(20)
], Question.prototype, "question_status", void 0);
__decorate([
    class_validator_1.ValidateNested()
], Question.prototype, "properties", void 0);
exports.Question = Question;
(function (Question) {
    class Properties {
        constructor() {
            this.call_type_lov_alias_id = -1;
            this.variables = [];
            this.type = exports.QUESTION_TYPES.CT;
            this.has_value = false;
            this.value_hint = '';
            this.value_mask = '';
            this.value = '';
            this.display_order = 0;
        }
    }
    Question.Properties = Properties;
})(Question = exports.Question || (exports.Question = {}));
exports.questionservice = new serviceapi_1.ServiceAPI("question");
//# sourceMappingURL=question.js.map