import { ServiceAPI } from '../serviceapi';
import { Destination } from "./nested/destination";
import { IFrom } from '../helper';
import { Entity } from './entity';
import { Completion } from './nested/completion';
import { JobDetail } from "./nested/job_detail";
export declare class Trip implements Entity, IFrom {
    created?: string;
    deleted?: string;
    modified?: string;
    entity_type: string;
    private trip_id;
    trip_itinerary_id: number | null;
    trip_transport_id: number | null;
    private trip_name;
    private trip_type;
    itinerary_market_id?: Number;
    private trip_status;
    properties: Trip.Properties;
    constructor();
    upgrade(): void;
    from(source: any): void;
    get id(): number;
    set id(value: number);
    get reference(): string;
    set reference(value: string);
    set type(value: string);
    get type(): string;
    get canCalculateVariables(): any;
    get reasonInvalid(): any[];
}
export declare namespace Trip {
    class Properties {
        type_lov_id?: Number;
        priority_lov_id?: Number;
        dispatch_variables_lov_id?: [];
        variables?: any[];
        patient?: any;
        details?: JobDetail;
        pick_up?: Destination;
        drop_off?: Destination;
        return_pick_up_type: string | null;
        completion: Completion;
        route_summary?: any;
        originator_review: boolean;
        transporter_review: boolean;
        batch_originator_review: boolean;
        batch_transporter_review: boolean;
        constructor();
    }
}
export declare let tripservice: ServiceAPI<Trip>;
