/**
 * Generic casting info
 * @see https://stackoverflow.com/questions/39392853/is-there-a-type-for-class-in-typescript-and-does-any-include-it
 *
 * @TODO revisit readall and read to see if we can avoid passing in a new Generic from vue
 */
declare class ServiceAPI<T extends Object> {
    private _entityType;
    constructor(entityType: string);
    get entityType(): string;
    createEntity<T>(type: (new () => T)): T;
    readAll(entity: T, parameters?: any): Promise<T[]>;
    search(entity: T, options?: any, parameters?: any): Promise<any>;
    /**
     * read will populate entity passed in with data from the server and return it.
     * @param entity
     * @param id
     */
    read(entity: T, id: number): Promise<T>;
    readby(entity: T, operation: string, key: string, value: string): Promise<T>;
    create(entity: T): Promise<T>;
    update(entity: T): Promise<T>;
    upsert(entity: T, reference?: string): Promise<T>;
    delete(id: number): Promise<number>;
}
declare class ServiceSubClassAPI<T extends Object> extends ServiceAPI<T> {
    private _EntitySubClass;
    get entitySubClass(): string;
    constructor(entityType: string, subclass: string);
    readAll(entity: T, params?: any): Promise<T[]>;
}
export { ServiceAPI, ServiceSubClassAPI };
