"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserPreferences = exports.PREFERENCE_EVENTS = void 0;
const notification_events_1 = require("./const/notification_events");
exports.PREFERENCE_EVENTS = {
    ON_UPDATED: 'OnPreferenceUpdate',
    ON_REFRESH_DATA: 'OnRefreshData',
};
class ItineraryDataTableFilter {
    constructor() {
        this.show = {
            period: true,
            appointment: true,
            itineraryStatus: true,
            tripStatus: false,
            tripState: true,
            topDispatchPriorities: false,
            inProgress: false,
            recurrence: false,
            patient: false,
            facility: false,
            topCallTypes: false,
        };
        this.pagination = null;
    }
}
class TripDataTableFilter {
    constructor() {
        this.show = {
            period: true,
            patient: true,
            itineraryStatus: true,
            tripStatus: false,
            tripState: true,
            topCallTypes: false,
            topDispatchPriorities: false,
            inProgress: false,
            facility: false,
        };
        this.pagination = null;
    }
}
class Notifications {
    constructor() {
        this.initEvents();
    }
    initEvents() {
        this.events = {};
        for (const [key, value] of Object.entries(notification_events_1.NOTIFICATION_EVENTS)) {
            let label = key.toLowerCase().replaceAll("_", " ");
            this.events[key] = { label: label, receive: true, actionTaken: false };
        }
    }
    from(source) {
    }
}
class UserPreferences {
    constructor() {
        this.sidebarMiniState = false;
        this.refreshTime = 30;
        this.navbar = { show: { unfulfilled: false, alerts: true, pendingReview: true } };
        this.bookings = new ItineraryDataTableFilter();
        this.trips = new TripDataTableFilter();
        this.notifications = new Notifications();
    }
    from(source) {
    }
    get EVENTS() {
        return exports.PREFERENCE_EVENTS;
    }
}
exports.UserPreferences = UserPreferences;
//# sourceMappingURL=user_preferences.js.map