"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserPreferences = exports.PREFERENCE_EVENTS = void 0;
exports.PREFERENCE_EVENTS = {
    ON_UPDATED: 'OnPreferenceUpdate',
    ON_REFRESH_DATA: 'OnRefreshData',
};
class ItineraryDataTableFilter {
    constructor() {
        this.show = {
            period: true,
            appointment: true,
            itineraryStatus: true,
            tripState: true,
            topDispatchPriorities: false,
            inProgress: false,
            recurrence: false,
            patient: false,
            facility: false,
            topCallTypes: false,
        };
        this.pagination = null;
    }
}
class TripDataTableFilter {
    constructor() {
        this.show = {
            period: true,
            patient: true,
            tripOfferStatus: true,
            tripState: true,
            topCallTypes: false,
            topDispatchPriorities: false,
            inProgress: false,
            facility: false,
        };
        this.pagination = null;
    }
}
class UserPreferences {
    constructor() {
        this.refreshTime = (1000 * 60 * 5);
        this.navbar = { show: { unfulfilled: false, newOffers: false, comments: false } };
        this.bookings = new ItineraryDataTableFilter();
        this.trips = new TripDataTableFilter();
    }
    get EVENTS() {
        return exports.PREFERENCE_EVENTS;
    }
}
exports.UserPreferences = UserPreferences;
//# sourceMappingURL=userpreferences.js.map