interface SortBy {
    descending: boolean;
    column: string;
}
export declare class Pagination {
    loading: boolean;
    itemsPerPage: number;
    totalItems: number;
    defaultSortColumn: string;
    lastPage: number;
    filters: any[];
    params: any[];
    sortBy: SortBy;
    constructor(defaultSortColumn: string);
    setSortBy(column: string, descending: boolean): boolean;
    indexOfByProperty(list: any, name: string, id: any): number;
    setFilter(column: string, value: any, operator: string): void;
    getRequestOptions(pageStart: number, itemPerPage: number): {
        offset: number;
        limit: number;
        filters: any[];
        params: any[];
        order_by: {
            [x: string]: string;
        };
    };
}
export declare class DialogState {
    show: boolean;
    valid: boolean;
    isEdit: boolean;
    loading: boolean;
    review: boolean;
}
export declare class HEREApi {
    static search(maxResults: string, query: string): Promise<any>;
    static locationDetails(locationId: string): Promise<any>;
    static calculateRoute(origin: string, dest: string): Promise<any>;
    static calculateRouteSummary(fromLocationId: string, toLocationId: string): Promise<any>;
}
export declare function debounce(fn: any, delay: number): (this: void) => void;
export {};
